Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.metrics.lang
Class DLExpressivityTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.metrics.lang.DLExpressivityTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class DLExpressivityTableModel

extends AbstractTableModel

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Oct 22, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

See Also:
  Serialized Form

Field Summary
`static String[]` | `COLUMNS`
`static int` | `EXPLANATION_COLUMN`
`static int` | `SYMBOL_COLUMN`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`DLExpressivityTableModel(List features)`

Method Summary
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMBOL_COLUMN

    public static final int SYMBOL_COLUMN

See Also:
  Constant Field Values

### EXPLANATION_COLUMN

    public static final int EXPLANATION_COLUMN

See Also:
  Constant Field Values

### COLUMNS

    public static final String[] COLUMNS

Constructor Detail

### DLExpressivityTableModel

    public DLExpressivityTableModel(List features)

Method Detail

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.